DLAED5(3f)

NAME
DLAED5 - compute the I-th eigenvalue of a symmetric rank-one modification of a 2-by-2 diagonal matrix diag( D ) + RHO The diagonal elements in the array D are assumed to satisfy D(i) < D(j) for i < j

SYNOPSIS

SUBROUTINE DLAED5(
    I, D, Z, DELTA, RHO, DLAM )

INTEGER
    I

DOUBLE
    PRECISION DLAM, RHO

DOUBLE
    PRECISION D( 2 ), DELTA( 2 ), Z( 2 )

PURPOSE
This subroutine computes the I-th eigenvalue of a symmetric rank-one modification of a 2-by-2 diagonal matrix We also assume RHO > 0 and that the Euclidean norm of the vector Z is one.

ARGUMENTS

I      (input) INTEGER
    The index of the eigenvalue to be computed. I = 1 or I = 2.

D      (input) DOUBLE PRECISION array, dimension (2)
    The original eigenvalues. We assume D(1) < D(2).

Z      (input) DOUBLE PRECISION array, dimension (2)
    The components of the updating vector.

DELTA  (output) DOUBLE PRECISION array, dimension (2)
    The vector DELTA contains the information necessary to construct the eigenvectors.

RHO    (input) DOUBLE PRECISION
    The scalar in the symmetric updating formula.

DLAM   (output) DOUBLE PRECISION
    The computed lambda_I, the I-th updated eigenvalue.

FURTHER DETAILS
Based on contributions by
   Ren-Cang Li, Computer Science Division, University of California
   at Berkeley, USA